{"openapi":"3.0.0","info":{"title":"\u05e9\u05d9\u05d2 \u05d5\u05e9\u05d9\u05d7 API","description":"","version":"1.0.0"},"servers":[{"url":"https:\/\/app.cig.chat\/api"}],"paths":{"\/flow\/ai-agents":{"get":{"tags":["Flow AI Hub"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of ai agents by flow","operationId":"flowAiAgents","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"ai_agent_ns","in":"query","description":"Search by ai agnet ns","required":false,"schema":{"type":"string"}},{"name":"ai_provider","in":"query","description":"Search for ai provider, available ai_provider: openai, openai-responses, deepseek, xai, xai-responses, claude, gemini, groq, ainvented","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"Search for ai agnet name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AiAgentResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/update-ai-agent-provider":{"post":{"tags":["Flow AI Hub"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>update Ai Agent provider and model, available ai_provider: openai, openai-responses, deepseek, xai, xai-responses, claude, gemini, groq, ainvented","operationId":"flowUpdateAiAgentProvider","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"AI Agent","required":["ai_agent_ns"],"properties":{"ai_agent_ns":{"type":"string","example":"f123ag456"},"ai_provider":{"type":"string","enum":["openai","openai-responses","deepseek","xai","xai-responses","claude","gemini","groq","ainvented"],"example":"openai"},"ai_model":{"type":"string","example":"gpt-4o-mini"},"max_tokens":{"type":"integer","example":"500"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/ai-tasks":{"get":{"tags":["Flow AI Hub"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of ai tasks by flow","operationId":"flowAiTasks","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"ai_task_ns","in":"query","description":"Search by ai task ns","required":false,"schema":{"type":"string"}},{"name":"ai_provider","in":"query","description":"Search for ai provider, available ai_provider: openai, deepseek, xai, claude, gemini, groq, ainvented","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"Search for ai task name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AiTaskResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/update-ai-task-provider":{"post":{"tags":["Flow AI Hub"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>update Ai Task provider and model, available ai_provider: openai, deepseek, xai, claude, gemini, groq, ainvented","operationId":"flowUpdateAiTaskProvider","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"AI Task","required":["ai_task_ns"],"properties":{"ai_task_ns":{"type":"string","example":"f123at456"},"ai_provider":{"type":"string","enum":["openai","deepseek","xai","claude","gemini","groq","ainvented"],"example":"openai"},"ai_model":{"type":"string","example":"gpt-4o-mini"},"max_tokens":{"type":"integer","example":"500"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/agent-activity-log\/data":{"get":{"tags":["Flow Conversation"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get the flow agent activity log data","operationId":"flowAgentActivityLogData","parameters":[{"name":"user_ns","in":"query","description":"Subscriber user_ns","required":false,"schema":{"type":"string"}},{"name":"agent_id","in":"query","description":"agent id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"conv_id","in":"query","description":"Conversation id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"action","in":"query","description":"available action: open, close, assign, reply, note, pending, spam, invalid, add_collaborator, remove_collaborator, subscribe_to_bot, unsubscribe_from_bot, opt_in_sms, opt_out_sms, opt_in_email, opt_out_email","required":false,"schema":{"type":"string"}},{"name":"source_type","in":"query","description":"available source type: agent, bot, bot_user, api, webhook","required":false,"schema":{"type":"string"}},{"name":"start_time","in":"query","description":"unix timestamp between 6 month agos and now, e.g. 1786123679. ","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"end_time","in":"query","description":"unix timestamp between 6 months ago and now, e.g. 1786123679. ","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"limit","in":"query","description":"Number of items in the response, between 1 and 1000","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"title":"Response Body","properties":{"data":{"$ref":"#\/components\/schemas\/AgentActivityLogData"},"status":{"type":"string","example":"ok"}},"type":"object"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/conversations\/data":{"get":{"tags":["Flow Conversation"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get the flow conversation data, only return the closed conversations","operationId":"flowConversationsData","parameters":[{"name":"user_ns","in":"query","description":"Subscriber user_ns","required":false,"schema":{"type":"string"}},{"name":"start_time","in":"query","description":"unix timestamp between 6 month agos and now, e.g. 1786123679. ","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"end_time","in":"query","description":"unix timestamp between 6 months ago and now, e.g. 1786123679. ","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"start_id","in":"query","description":"starting from id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"limit","in":"query","description":"Number of items in the response, between 1 and 1000","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"title":"Response Body","properties":{"data":{"$ref":"#\/components\/schemas\/ConversationData"},"status":{"type":"string","example":"ok"}},"type":"object"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/custom-events":{"get":{"tags":["Flow Custom Events"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of custom events by flow","operationId":"flowEvents","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for event name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotEventResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/custom-events\/summary":{"get":{"tags":["Flow Custom Events"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get the flow custom event summary","operationId":"flowEventsSummary","parameters":[{"name":"range","in":"query","description":"Available ranges: <code>yesterday<\/code> (default), <code>last_7_days<\/code>, <code>last_week<\/code>, <code>last_30_days<\/code>, <code>last_month<\/code>, <code>last_3_months<\/code>","required":false,"schema":{"type":"string"},"example":"yesterday"},{"name":"event_ns","in":"query","description":"the custom event ns","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"title":"Response Body","properties":{"data":{"$ref":"#\/components\/schemas\/CustomEvent"},"status":{"type":"string","example":"ok"},"stats":{"type":"array","items":{"properties":{"num":{"description":"the number of event logs","type":"integer","example":"234"},"unique_user_num":{"description":"the number of event logs by unique bot user","type":"integer","example":"123"},"start_date":{"description":"the date of the event log","type":"string","example":"2024-03-26"}},"type":"object"}},"total":{"properties":{"num":{"description":"the total number of event logs","type":"integer","example":"234"},"unique_user_num":{"description":"the total number of event logs by unique bot user","type":"integer","example":"123"}},"type":"object"},"start_date":{"type":"string","example":"2024-03-26 00:00:00"},"end_date":{"type":"string","example":"2024-03-26 23:59:59"},"text_values":{"type":"array","items":{"properties":{"num":{"description":"the number of event logs with the text value","type":"integer","example":"23"},"unique_user_num":{"description":"the number of event logs with the text value by unique bot user","type":"integer","example":"12"},"text_value":{"description":"the text value","type":"string","example":"product"}},"type":"object"}}},"type":"object"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/custom-events\/data":{"get":{"tags":["Flow Custom Events"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get the flow custom event data","operationId":"flowEventsData","parameters":[{"name":"start_time","in":"query","description":"unix timestamp between 6 month agos and now, e.g. 1786123679. ","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"end_time","in":"query","description":"unix timestamp between 6 months ago and now, e.g. 1786123679. ","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"event_ns","in":"query","description":"the custom event ns","required":true,"schema":{"type":"string"}},{"name":"start_id","in":"query","description":"starting from id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"limit","in":"query","description":"Number of items in the response, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"title":"Response Body","properties":{"data":{"$ref":"#\/components\/schemas\/CustomEventData"},"status":{"type":"string","example":"ok"}},"type":"object"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/bot-fields":{"get":{"tags":["Flow Bot Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of bot fields by flow","operationId":"flowBotFields","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for bot field name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotFieldResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/create-bot-field":{"post":{"tags":["Flow Bot Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>create new bot field","operationId":"flowCreateBotField","requestBody":{"required":true,"content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotField"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"title":"Response Body","properties":{"data":{"$ref":"#\/components\/schemas\/BotField"},"status":{"type":"string","example":"ok"}},"type":"object"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/set-bot-field":{"put":{"tags":["Flow Bot Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>update bot field value","operationId":"flowUpdateBotField","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Bot Field","required":["var_ns","value"],"properties":{"var_ns":{"type":"string"},"value":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotField"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/set-bot-field-by-name":{"put":{"tags":["Flow Bot Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>update bot field value by bot field name","operationId":"flowUpdateBotFieldByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Bot Field","required":["name","value"],"properties":{"name":{"type":"string"},"value":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotField"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/set-bot-fields":{"put":{"tags":["Flow Bot Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>update multiple bot fields value, up to 20 bot fields","operationId":"flowUpdateBotFields","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["data"],"properties":{"data":{"type":"array","items":{"properties":{"var_ns":{"type":"string"},"value":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/set-bot-fields-by-name":{"put":{"tags":["Flow Bot Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>update multiple bot fields value by field name, up to 20 bot fields","operationId":"flowUpdateBotFieldsByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["data"],"properties":{"data":{"type":"array","items":{"properties":{"name":{"type":"string"},"value":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/delete-bot-field":{"delete":{"tags":["Flow Bot Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete bot field","operationId":"flowDeleteBotField","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Bot Field","required":["var_ns"],"properties":{"var_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/delete-bot-field-by-name":{"delete":{"tags":["Flow Bot Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete bot field by name","operationId":"flowDeleteBotFieldByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Bot Field","required":["name"],"properties":{"name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/segments":{"get":{"tags":["Flow Segment"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of segments by flow","operationId":"flowSegment","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for segment name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotSegmentResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscribers":{"get":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of subscribers by seaching for name, phone, email, tag, custom user field and so on.","operationId":"flowBotUsers","parameters":[{"name":"limit","in":"query","description":"Number of items in the response, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 1000","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for subscriber name","required":false,"schema":{"type":"string"}},{"name":"phone","in":"query","description":"Search for subscriber phone","required":false,"schema":{"type":"string"}},{"name":"email","in":"query","description":"Search for subscriber email","required":false,"schema":{"type":"string"}},{"name":"is_channel","in":"query","description":"Search for subscriber is from channel, available value 'facebook', 'instagram', 'whatsapp_cloud', 'whatsapp', 'google', 'telegram', 'tiktok', 'line', 'viber', 'vk', 'wechat', 'web', 'apichat'","required":false,"schema":{"type":"string"}},{"name":"is_opt_in_email","in":"query","description":"Search for subscriber is opted in email, available value 'yes', 'no'","required":false,"schema":{"type":"string"}},{"name":"is_opt_in_sms","in":"query","description":"Search for subscriber is opted in SMS, available value 'yes', 'no'","required":false,"schema":{"type":"string"}},{"name":"is_interacted_in_last_24h","in":"query","description":"Search for subscriber is interacted within last 24 hours, available value 'yes', 'no'","required":false,"schema":{"type":"string"}},{"name":"is_bot_interacted_in_last_24h","in":"query","description":"Search for subscribers have bot interacted within last 24 hours, available value 'yes', 'no'","required":false,"schema":{"type":"string"}},{"name":"is_last_message_in_last_24h","in":"query","description":"Search for subscribers have last message within last 24 hours, including message sent from bot user, agent and bot, available value 'yes', 'no'","required":false,"schema":{"type":"string"}},{"name":"segment_ns","in":"query","description":"Search for subscriber matched with segment with specified segment_ns","required":false,"schema":{"type":"string"}},{"name":"tag_ns","in":"query","description":"Search for subscriber has tag with specified tag_ns","required":false,"schema":{"type":"string"}},{"name":"label_id","in":"query","description":"Search for subscriber has label with specified label_id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"event_ns","in":"query","description":"Search for subscriber has custom event with specified event_ns","required":false,"schema":{"type":"string"}},{"name":"user_field_ns","in":"query","description":"Search for subscriber has custom user field with specified value from `user_field_value`","required":false,"schema":{"type":"string"}},{"name":"user_field_value","in":"query","description":"specified value for custom user field `user_field_ns`","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotUserResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/get-info":{"get":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get subscriber info","operationId":"flowBotUserInfo","parameters":[{"name":"user_ns","in":"query","description":"Subscriber user_ns","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotUser"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/get-info-by-user-id":{"get":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get subscriber info by user unique id from channel, e.g. Facebook user id, WhatsApp user id, WeChat user id...","operationId":"flowBotUserInfoByUserId","parameters":[{"name":"user_id","in":"query","description":"Subscriber user_id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotUser"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/create":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Create new subscriber, phone or email is required","operationId":"flowCreateBotUser","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["phone","email"],"properties":{"first_name":{"type":"string"},"last_name":{"type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string"},"gender":{"description":"male,female","type":"string"},"image":{"description":"profile image","type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotUser"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/create-many":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Create new subscribers, phone or email is required","operationId":"flowCreateManyBotUsers","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["users"],"properties":{"users":{"description":"up to 100 users","type":"array","items":{"required":["phone","email"],"properties":{"first_name":{"type":"string"},"last_name":{"type":"string"},"name":{"type":"string","example":""},"phone":{"type":"string","example":"61412345678"},"email":{"type":"string","example":""},"gender":{"description":"male,female","type":"string","example":"male"},"image":{"description":"profile image","type":"string","example":""},"user_fields":{"description":"up to 10 user fields","type":"array","items":{"properties":{"var_ns":{"type":"string","example":"f123v345"},"value":{"type":"string","example":""}},"type":"object"}},"tags":{"description":"up to 10 tags","type":"array","items":{"properties":{"tag_name":{"description":"only add tag if the tag name exists","type":"string"}},"type":"object"}}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/update":{"put":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Update subscriber data","operationId":"flowUpdateBotUser","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string"},"gender":{"type":"string"},"image":{"description":"profile image","type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BotUser"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/delete":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete subscriber","operationId":"flowDeleteBotUser","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/add-tag":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Add tag to subscriber","operationId":"flowBotUserAddTag","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","tag_ns"],"properties":{"user_ns":{"type":"string"},"tag_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/add-tags":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Add tags to subscriber, up to 20 tags","operationId":"flowBotUserAddTags","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"tag_ns":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/add-tag-by-name":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Add tag to subscriber by tag name","operationId":"flowBotUserAddTagByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","tag_name"],"properties":{"user_ns":{"type":"string"},"tag_name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/add-tags-by-name":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Add tags by tag name to subscriber, up to 20 tags","operationId":"flowBotUserAddTagsByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"tag_name":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/remove-tag":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Remove tag from subscriber","operationId":"flowBotUserRemoveTag","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","tag_ns"],"properties":{"user_ns":{"type":"string"},"tag_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/remove-tags":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Remove tags from subscriber, up to 20 tags","operationId":"flowBotUserRemoveTags","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"tag_ns":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/remove-tag-by-name":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Remove tag from subscriber by tag name","operationId":"flowBotUserRemoveTagByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","tag_name"],"properties":{"user_ns":{"type":"string"},"tag_name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/remove-tags-by-name":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Remove tags from subscriber by tag name, up to 20 tags","operationId":"flowBotUserRemoveTagsByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"tag_name":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/add-labels-by-name":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Add labels by label name to subscriber, up to 20 labels","operationId":"flowBotUserAddLabelsByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"label_name":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/remove-labels-by-name":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Remove labels from subscriber by label name, up to 20 labels","operationId":"flowBotUserRemoveLabelsByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"label_name":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/set-user-field":{"put":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Set or update subscriber user field value","operationId":"flowBotUserSetUserField","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","var_ns","value"],"properties":{"user_ns":{"type":"string"},"var_ns":{"type":"string"},"value":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/set-user-fields":{"put":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Set or update subscriber multiple user field value, up to 20 user fields","operationId":"flowBotUserSetUserFields","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"var_ns":{"type":"string"},"value":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/set-user-field-by-name":{"put":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Set or update subscriber user field value by field name","operationId":"flowBotUserSetUserFieldByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","field_name","value"],"properties":{"user_ns":{"type":"string"},"field_name":{"type":"string"},"value":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/set-user-fields-by-name":{"put":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Set or update subscriber multiple user field value, up to 20 user fields","operationId":"flowBotUserSetUserFieldsByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"name":{"type":"string"},"value":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/clear-user-field":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Clear subscriber user field value","operationId":"flowBotUserClearUserField","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","var_ns"],"properties":{"user_ns":{"type":"string"},"var_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/clear-user-fields":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Clear multiple subscriber user fields, up to 20 user fields","operationId":"flowBotUserClearUserFields","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"var_ns":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/clear-user-field-by-name":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Clear subscriber user field value by field name","operationId":"flowBotUserClearUserFieldByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","field_name"],"properties":{"user_ns":{"type":"string"},"field_name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/clear-user-fields-by-name":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Clear multiple subscriber user fields, up to 20 user fields","operationId":"flowBotUserClearUserFieldsByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"type":"array","items":{"properties":{"name":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-main-flow":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send main flow to subscriber","operationId":"flowBotUserSendMainFlow","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-sub-flow":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send sub flow to subscriber","operationId":"flowBotUserSendSubFlow","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","sub_flow_ns"],"properties":{"user_ns":{"type":"string"},"sub_flow_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-sub-flow-by-flow-name":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send sub flow to subscriber by flow name","operationId":"flowBotUserSendSubFlowByFlowName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","flow_name"],"properties":{"user_ns":{"type":"string"},"flow_name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-sub-flow-by-user-id":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send sub flow to subscriber by the unique user id from each channel","operationId":"flowBotUserSendSubFlowByUserId","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_id","sub_flow_ns"],"properties":{"user_id":{"type":"string"},"sub_flow_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/broadcast":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Broadcast sub flow by user ns list, available types: EMAIL,SMS,WHATSAPP_TEMPLATE,FACEBOOK_NOTIFICATION","operationId":"flowBotUserBroadcast","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns_list","sub_flow_ns"],"properties":{"user_ns_list":{"description":"comma separated user ns, up to 200 user ns","type":"string","example":"f123u111,f123u222,f123u333"},"sub_flow_ns":{"type":"string"},"type":{"description":"available values: EMAIL,SMS,WHATSAPP_TEMPLATE,FACEBOOK_NOTIFICATION","type":"string","example":"EMAIL"},"scheduled_time":{"description":"unix timestamp, e.g. 1786123679. Leave empty to send now","type":"integer","example":"1786123679"},"max_per_minute":{"description":"Rate limit, maximum per minute, default is 60","type":"integer","example":"60"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/broadcast-by-user-id":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Broadcast sub flow by user ids, available types: EMAIL,SMS,WHATSAPP_TEMPLATE,FACEBOOK_NOTIFICATION","operationId":"flowBotUserBroadcastByUserId","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_id_list","sub_flow_ns"],"properties":{"user_id_list":{"description":"comma separated user ids, up to 200 user ids","type":"string","example":"61412345678,61387625429,61245638917"},"sub_flow_ns":{"type":"string"},"type":{"description":"available values: EMAIL,SMS,WHATSAPP_TEMPLATE,FACEBOOK_NOTIFICATION","type":"string","example":"EMAIL"},"scheduled_time":{"description":"unix timestamp, e.g. 1786123679. Leave empty to send now","type":"integer","example":"1786123679"},"max_per_minute":{"description":"Rate limit, maximum per minute, default is 60","type":"integer","example":"60"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/broadcast-whatsapp-template-by-user-id":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Broadcast whatsapp template by user ids, you can find the namespace, name, lang, params from \/api\/whatapp-template\/list, use use_default_values or params for wa_template","operationId":"flowBotUserBroadcastWhatsappTemplateByUserId","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_id_list","wa_template"],"properties":{"user_id_list":{"description":"comma separated user ids, up to 200 user ids","type":"string","example":"61412345678,61387625429,61245638917"},"wa_template":{"description":"use use_default_values or params","required":["namespace","name","lang"],"properties":{"namespace":{"type":"string"},"name":{"type":"string"},"lang":{"type":"string"},"use_default_values":{"type":"string","example":"yes"},"params":{"properties":{"HEADER_IMAGE":{"type":"string","example":"https:\/\/example.com\/image.png"},"BODY_{{1}}":{"type":"string","example":"text"},"BODY_{{2}}":{"type":"string","example":"text"},"QUICK_REPLY_1":{"type":"string","example":"sub flow ns"},"QUICK_REPLY_2":{"type":"string","example":"sub flow ns"},"URL_1":{"type":"string","example":"https:\/\/example.com\/url"},"URL_2":{"type":"string","example":"https:\/\/example.com\/url"}},"type":"object"}},"type":"object"},"scheduled_time":{"description":"unix timestamp, e.g. 1786123679. Leave empty to send now","type":"integer","example":"1786123679"},"max_per_minute":{"description":"Rate limit, maximum per minute, default is 60","type":"integer","example":"60"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/broadcast-facebook-utility-message-template-by-user-id":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Broadcast Facebook utility message template by user ids","operationId":"flowBotUserBroadcastFacebookUtilityMessageTemplateByUserId","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_id_list","facebook_utility_message_template"],"properties":{"user_id_list":{"description":"comma separated user ids, up to 200 user ids","type":"string","example":"61412345678,61387625429,61245638917"},"facebook_utility_message_template":{"description":"use use_default_values or params","required":["name","lang"],"properties":{"name":{"type":"string"},"lang":{"type":"string"},"use_default_values":{"type":"string","example":"yes"},"params":{"properties":{"HEADER_{{1}}":{"type":"string","example":"Header text"},"BODY_{{1}}":{"type":"string","example":"text"},"BODY_{{2}}":{"type":"string","example":"text"},"URL_1":{"type":"string","example":"https:\/\/example.com\/url"},"POSTBACK_1":{"type":"string","example":"f123n456"}},"type":"object"}},"type":"object"},"scheduled_time":{"description":"unix timestamp, e.g. 1786123679. Leave empty to send now","type":"integer","example":"1786123679"},"max_per_minute":{"description":"Rate limit, maximum per minute, default is 60","type":"integer","example":"60"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/broadcast-by-tag":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Broadcast sub flow by tags, available types: EMAIL,SMS,WHATSAPP_TEMPLATE,FACEBOOK_NOTIFICATION","operationId":"flowBotUserBroadcastByTag","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["tags","sub_flow_ns"],"properties":{"tags":{"description":"array of tag ns, up to 10 tag ns","type":"array","items":{"type":"string","example":"f123t456"}},"exclude_tags":{"description":"array of tag ns, up to 10 tag ns","type":"array","items":{"type":"string","example":"f123t568"}},"sub_flow_ns":{"type":"string","example":"f123s789"},"name":{"description":"set a name for this broadcast","type":"string","example":"broadcast by tag"},"scheduled_time":{"description":"unix timestamp, e.g. 1786123679. Leave empty to send now","type":"integer","example":"1786123679"},"max_per_minute":{"description":"Rate limit, maximum per minute, default is 60","type":"integer","example":"60"},"type":{"description":"available values: EMAIL,SMS,WHATSAPP_TEMPLATE,FACEBOOK_NOTIFICATION","type":"string","example":"FACEBOOK_NOTIFICATION"},"message_tag":{"description":"when type is FACEBOOK_NOTIFICATION, available values: CONFIRMED_EVENT_UPDATE,POST_PURCHASE_UPDATE,ACCOUNT_UPDATE,NON_PROMOTIONAL_SUBSCRIPTION","type":"string","example":"POST_PURCHASE_UPDATE"},"user_fields":{"description":"up to 10 user fields","type":"array","items":{"properties":{"var_ns":{"type":"string","example":"f123v345"},"value":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/broadcast-whatsapp-template-by-tag":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Broadcast whatsapp template by tags, you can find the namespace, name, lang, params from \/api\/whatapp-template\/list, use use_default_values or params for wa_template","operationId":"flowBotUserBroadcastWhatsappTemplateByTag","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["tags","wa_template"],"properties":{"tags":{"description":"array of tag ns, up to 10 tag ns","type":"array","items":{"type":"string","example":"f123t456"}},"exclude_tags":{"description":"array of tag ns, up to 10 tag ns","type":"array","items":{"type":"string","example":"f123t568"}},"wa_template":{"description":"use use_default_values or params","required":["namespace","name","lang"],"properties":{"namespace":{"type":"string"},"name":{"type":"string"},"lang":{"type":"string"},"use_default_values":{"type":"string","example":"yes"},"params":{"properties":{"HEADER_IMAGE":{"type":"string","example":"https:\/\/example.com\/image.png"},"BODY_{{1}}":{"type":"string","example":"text"},"BODY_{{2}}":{"type":"string","example":"text"},"QUICK_REPLY_1":{"type":"string","example":"sub flow ns"},"QUICK_REPLY_2":{"type":"string","example":"sub flow ns"},"URL_1":{"type":"string","example":"https:\/\/example.com\/url"},"URL_2":{"type":"string","example":"https:\/\/example.com\/url"}},"type":"object"}},"type":"object"},"scheduled_time":{"description":"unix timestamp, e.g. 1786123679. Leave empty to send now","type":"integer","example":"1786123679"},"max_per_minute":{"description":"Rate limit, maximum per minute, default is 60","type":"integer","example":"60"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/broadcast-facebook-utility-message-template-by-tag":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Broadcast Facebook utility message template by tags","operationId":"flowBotUserBroadcastFacebookUtilityMessageTemplateByTag","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["tags","facebook_utility_message_template"],"properties":{"tags":{"description":"array of tag ns, up to 10 tag ns","type":"array","items":{"type":"string","example":"f123t456"}},"exclude_tags":{"description":"array of tag ns, up to 10 tag ns","type":"array","items":{"type":"string","example":"f123t568"}},"facebook_utility_message_template":{"description":"use use_default_values or params","required":["name","lang"],"properties":{"name":{"type":"string"},"lang":{"type":"string"},"use_default_values":{"type":"string","example":"yes"},"params":{"properties":{"HEADER_{{1}}":{"type":"string","example":"Header text"},"BODY_{{1}}":{"type":"string","example":"text"},"BODY_{{2}}":{"type":"string","example":"text"},"URL_1":{"type":"string","example":"https:\/\/example.com\/url"},"POSTBACK_1":{"type":"string","example":"f123n456"}},"type":"object"}},"type":"object"},"scheduled_time":{"description":"unix timestamp, e.g. 1786123679. Leave empty to send now","type":"integer","example":"1786123679"},"max_per_minute":{"description":"Rate limit, maximum per minute, default is 60","type":"integer","example":"60"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/broadcast-by-segment":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Broadcast sub flow by segments, available types: EMAIL,SMS,WHATSAPP_TEMPLATE,FACEBOOK_NOTIFICATION","operationId":"flowBotUserBroadcastBySegment","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["segment_ns","sub_flow_ns"],"properties":{"segment_ns":{"description":"comma separated segment ns, up to 10 segment ns","type":"string","example":"f123sg34,f123sg56"},"sub_flow_ns":{"type":"string","example":"f123s789"},"scheduled_time":{"description":"unix timestamp, e.g. 1786123679. Leave empty to send now","type":"integer","example":"1786123679"},"max_per_minute":{"description":"Rate limit, maximum per minute, default is 60","type":"integer","example":"60"},"type":{"description":"available values: EMAIL,SMS,WHATSAPP_TEMPLATE,FACEBOOK_NOTIFICATION","type":"string","example":"EMAIL"},"message_tag":{"description":"when type is FACEBOOK_NOTIFICATION, available values: CONFIRMED_EVENT_UPDATE,POST_PURCHASE_UPDATE,ACCOUNT_UPDATE,NON_PROMOTIONAL_SUBSCRIPTION","type":"string","example":"POST_PURCHASE_UPDATE"},"bot_fields":{"description":"up to 10 bot fields","type":"array","items":{"properties":{"var_ns":{"type":"string"},"value":{"type":"string"}},"type":"object"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-content":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send content to subscriber, learn more about how to use dynamic content ","operationId":"flowBotUserSendContent","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","data"],"properties":{"user_ns":{"type":"string"},"data":{"properties":{"version":{"type":"string","enum":["v1"],"example":"v1"},"content":{"properties":{"messages":{"type":"array","items":{"properties":{"type":{"type":"string","enum":["text","image","audio","video","file","cards"],"example":"text"},"text":{"type":"string","example":"text message"}},"type":"object"}},"actions":{"type":"array","items":{"properties":{"action":{"type":"string","enum":["add_tag","remove_tag","set_field_value","unset_field_value"],"example":"add_tag"},"tag_name":{"type":"string","example":"tag name"}},"type":"object"}},"quick_replies":{"type":"array","items":{"properties":{"type":{"type":"string","enum":["node","url","dynamic_block_callback"],"example":"node"},"caption":{"type":"string","example":"Show"},"target":{"type":"string","example":"node_ns"}},"type":"object"}},"goto":{"type":"string","example":"node name or node_ns"}},"type":"object"}},"type":"object"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/pause-bot":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Pause bot automation to subscriber","operationId":"flowBotUserPauseBot","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","minutes"],"properties":{"user_ns":{"type":"string"},"minutes":{"type":"integer","example":"30"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/resume-bot":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Resume bot automation to subscriber","operationId":"flowBotUserResumeBot","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/move-chat-to":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Update chat status","operationId":"flowBotUserMoveChatTo","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","status"],"properties":{"user_ns":{"type":"string"},"status":{"type":"string","example":"open,pending,spam,done"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/assign-agent":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Assign agent to chat","operationId":"flowBotUserAssignAgent","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","agent_id"],"properties":{"user_ns":{"type":"string"},"agent_id":{"type":"integer","example":"123"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/assign-agent-group":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Assign agent group to chat","operationId":"flowBotUserAssignAgentGroup","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","agent_group_id"],"properties":{"user_ns":{"type":"string"},"agent_group_id":{"type":"integer","example":"123"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/unassign-agent":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Unassign agent from chat","operationId":"flowBotUserUnassignAgent","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/subscribe-to-bot":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Subscribe to bot","operationId":"flowBotUserSubscribeToBot","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/unsubscribe-from-bot":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Unsubscribe from bot","operationId":"flowBotUserUnsubscribeFromBot","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/opt-in-sms":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Opt-in SMS","operationId":"flowBotUserOptInSms","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/opt-out-sms":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Opt-out SMS","operationId":"flowBotUserOptOutSms","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/opt-in-email":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Opt-in Email","operationId":"flowBotUserOptInEmail","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/opt-out-email":{"delete":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Opt-out Email","operationId":"flowBotUserOptOutEmail","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns"],"properties":{"user_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/log-custom-event":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Log custom event","operationId":"flowBotUserLogCustomEvent","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","event_name"],"properties":{"user_ns":{"type":"string"},"event_name":{"type":"string"},"text_value":{"type":"string"},"price_value":{"type":"integer"},"number_value":{"type":"integer"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/app-trigger":{"post":{"tags":["Mini-App"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Trigger an app event on subscriber from installed min-app","operationId":"flowBotUserAppTrigger","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","trigger_name"],"properties":{"user_ns":{"type":"string"},"trigger_name":{"type":"string"},"context":{"properties":{"product_name":{"type":"string","example":"apple"},"product_id":{"type":"string","example":"123"}},"type":"object"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-text":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send text content to subscriber","operationId":"flowBotUserSendText","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","content"],"properties":{"user_ns":{"type":"string"},"content":{"type":"string","example":"text message"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-sms":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send sms content to subscriber","operationId":"flowBotUserSendSms","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","content"],"properties":{"user_ns":{"type":"string"},"content":{"type":"string","example":"sms message"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-email":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send email content to subscriber","operationId":"flowBotUserSendEmail","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","content"],"properties":{"user_ns":{"type":"string"},"content":{"type":"string","example":"email content"},"subject":{"type":"string","example":"email subject"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-node":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send node to subscriber","operationId":"flowBotUserSendNode","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","node_ns"],"properties":{"user_ns":{"type":"string"},"node_ns":{"type":"string","example":"f123n456"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-whatsapp-template":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send Whatsapp Template to subscriber, you can find the namespace, name, lang, params from \/api\/whatapp-template\/list ","operationId":"flowBotUserSendWhatsappTemplate","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","content"],"properties":{"user_ns":{"type":"string"},"content":{"required":["namespace","name","lang"],"properties":{"namespace":{"type":"string"},"name":{"type":"string"},"lang":{"type":"string"},"params":{"properties":{"HEADER_IMAGE":{"type":"string","example":"https:\/\/example.com\/image.png"},"BODY_{{1}}":{"type":"string","example":"text"},"BODY_{{2}}":{"type":"string","example":"text"},"QUICK_REPLY_1":{"type":"string","example":"sub flow ns"},"QUICK_REPLY_2":{"type":"string","example":"sub flow ns"},"URL_1":{"type":"string","example":"https:\/\/example.com\/url"},"URL_2":{"type":"string","example":"https:\/\/example.com\/url"}},"type":"object"}},"type":"object"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-facebook-utility-message-template":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send Facebook utility message template to subscriber","operationId":"flowBotUserSendFacebookUtilityMessageTemplate","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_ns","content"],"properties":{"user_ns":{"type":"string"},"content":{"required":["name","lang"],"properties":{"name":{"type":"string"},"lang":{"type":"string"},"use_default_values":{"type":"string","example":"yes"},"params":{"properties":{"HEADER_{{1}}":{"type":"string","example":"Header text"},"BODY_{{1}}":{"type":"string","example":"text"},"BODY_{{2}}":{"type":"string","example":"text"},"URL_1":{"type":"string","example":"https:\/\/example.com\/url"},"POSTBACK_1":{"type":"string","example":"f123n456"}},"type":"object"}},"type":"object"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-facebook-utility-message-template-by-user-id":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send Facebook utility message template to subscriber by user id","operationId":"flowBotUserSendFacebookUtilityMessageTemplateByUserId","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_id","content"],"properties":{"user_id":{"type":"string"},"content":{"required":["name","lang"],"properties":{"name":{"type":"string"},"lang":{"type":"string"},"use_default_values":{"type":"string","example":"yes"},"params":{"properties":{"HEADER_{{1}}":{"type":"string","example":"Header text"},"BODY_{{1}}":{"type":"string","example":"text"},"BODY_{{2}}":{"type":"string","example":"text"},"URL_1":{"type":"string","example":"https:\/\/example.com\/url"},"POSTBACK_1":{"type":"string","example":"f123n456"}},"type":"object"}},"type":"object"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/send-whatsapp-template-by-user-id":{"post":{"tags":["Sending"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Send Whatsapp Template to subscriber, you can find the namespace, name, lang, params from \/api\/whatapp-template\/list ","operationId":"flowBotUserSendWhatsappTemplateByUserId","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["user_id","content"],"properties":{"user_id":{"type":"string"},"create_if_not_found":{"description":"yes or no","type":"string","example":"no"},"content":{"required":["namespace","name","lang"],"properties":{"namespace":{"type":"string"},"name":{"type":"string"},"lang":{"type":"string"},"params":{"properties":{"HEADER_IMAGE":{"type":"string","example":"https:\/\/example.com\/image.png"},"BODY_{{1}}":{"type":"string","example":"text"},"BODY_{{2}}":{"type":"string","example":"text"},"QUICK_REPLY_1":{"type":"string","example":"sub flow ns"},"QUICK_REPLY_2":{"type":"string","example":"sub flow ns"},"URL_1":{"type":"string","example":"https:\/\/example.com\/url"},"URL_2":{"type":"string","example":"https:\/\/example.com\/url"}},"type":"object"}},"type":"object"},"contact":{"properties":{"user_name":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/chat-messages":{"get":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of subscriber chat messages.<br>type: in -> Incoming message from bot user, out -> Ougoing message from bot, agent -> Outgoing message from human agent, note -> Private note, system -> system messages","operationId":"flowBotUserChatMessages","parameters":[{"name":"user_ns","in":"query","description":"Subscriber user_ns, required if no user_id in the query","required":false,"schema":{"type":"string"}},{"name":"user_id","in":"query","description":"Subscriber user_id, required if no user_ns in the query","required":false,"schema":{"type":"string"}},{"name":"include_bot","in":"query","description":"set value 1 to include bot messages, default is 0","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"include_note","in":"query","description":"set value 1 to include agent note messages, default is 0","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"include_system","in":"query","description":"set value 1 to include system messages, default is 0","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"msg_type","in":"query","description":"filter by media type, available types: image, audio, video, file","required":false,"schema":{"type":"string"}},{"name":"start_time","in":"query","description":"unix timestamp between one month ago and now, e.g. 1786123679. ","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"end_time","in":"query","description":"unix timestamp between one month ago and now, e.g. 1786123679. ","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"limit","in":"query","description":"Number of items in the response, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ChatMessageResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/subscriber\/chat-messages-by-mids":{"post":{"tags":["Subscriber"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get chat messages by multiple mids, up to 100 mids.<br>type: in -> Incoming message from bot user, out -> Ougoing message from bot, agent -> Outgoing message from human agent","operationId":"flowBotUserChatMessagesByMids","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["mids"],"properties":{"mids":{"description":"array of mid, up to 100 mids","type":"array","items":{"type":"string","example":"xxxxxx"}}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ChatMessageResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/facebook-utility-message-template\/list":{"post":{"tags":["Facebook Utility Message Template"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>List Facebook utility message templates","operationId":"listFacebookUtilityMessageTemplates","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for template name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/FacebookUtilityMessageTemplateResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/facebook-utility-message-template\/create":{"post":{"tags":["Facebook Utility Message Template"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Create Facebook utility message template","operationId":"CreateFacebookUtilityMessageTemplate","requestBody":{"required":true,"content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/FacebookUtilityMessageTemplate"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/facebook-utility-message-template\/delete":{"delete":{"tags":["Facebook Utility Message Template"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete Facebook utility message template","operationId":"DeleteFacebookUtilityMessageTemplate","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Name","required":["name"],"properties":{"name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/facebook-utility-message-template\/sync":{"post":{"tags":["Facebook Utility Message Template"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Sync Facebook utility message templates","operationId":"SyncFacebookUtilityMessageTemplates","responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/subflows":{"get":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of sub flows","operationId":"flowSubFlows","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for sub flow name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/SubFlowResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/delete-sub-flow":{"delete":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete sub flow","operationId":"flowDeleteSubFlow","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Sub Flow Ns","required":["sub_flow_ns"],"properties":{"sub_flow_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/bot-users-count":{"get":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get count of bot users status","operationId":"flowBotUsersCount","responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"properties":{"data":{"type":"array","items":{"properties":{"status":{"type":"string","enum":["open","pending","spam","done"],"example":"open"},"num":{"type":"integer","example":"123"}},"type":"object"}},"status":{"type":"string","example":"ok"}},"type":"object"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/agents":{"get":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of agents","operationId":"flowAgents","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for agent name","required":false,"schema":{"type":"string"}},{"name":"role","in":"query","description":"Filter by role, available role: owner, admin, member, agent","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/TeamAgentResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/template-installs":{"get":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of template installs in this flow","operationId":"FlowTemplatesInstalls","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/TemplateInstallLogResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/set-default-start-flow":{"post":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Set default bot start flow, use <code>main<\/code> to reset the start flow to main flow","operationId":"flowSetDefaultStartFlow","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["sub_flow_ns"],"properties":{"sub_flow_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/set-web-chat-widget-default-start-flow":{"post":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Set default start flow for web chat widget, use <code>main<\/code> to set the start flow to main flow","operationId":"flowSetWebChatWidgetDefaultStartFlow","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["sub_flow_ns"],"properties":{"sub_flow_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/settings\/set-audio-transcription":{"post":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Set audio transcription, available values: none,whisper-1,gpt-4o-transcribe,gpt-4o-mini-transcribe,whisper-large-v3-turbo,gemini-2.5-flash,gemini-3-flash-preview","operationId":"flowSetAudioTranscription","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["stt_model"],"properties":{"stt_model":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/settings\/get-default-ai-provider":{"get":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get default ai provider and model, available ai_provider: openai, deepseek, xai, claude, gemini, groq, ainvented","operationId":"flowGetDefaultAiProvider","responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"properties":{"data":{"properties":{"ai_provider":{"type":"string","example":"openai"},"ai_model":{"type":"string","example":"gpt-5"}},"type":"object"},"status":{"type":"string","example":"ok"}},"type":"object"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/settings\/set-default-ai-provider":{"post":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Set default ai provider and model, available ai_provider: openai, deepseek, xai, claude, gemini, groq, ainvented","operationId":"flowSetDefaultAiProvider","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Body","required":["ai_provider"],"properties":{"ai_provider":{"type":"string","enum":["openai","deepseek","xai","claude","gemini","groq","ainvented"],"example":"openai"},"ai_model":{"type":"string","example":"gpt-4o-mini"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/inbound-webhooks":{"get":{"tags":["Flow"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of inbound webhooks by flow","operationId":"flowInboundWebhooks","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/InboundWebhookResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/tags":{"get":{"tags":["Flow Tag"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of tags by flow","operationId":"flowTags","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for tag name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/TagResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/create-tag":{"post":{"tags":["Flow Tag"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>create new tag","operationId":"flowCreateTag","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Tag","required":["name"],"properties":{"name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Tag"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/delete-tag":{"delete":{"tags":["Flow Tag"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete tag","operationId":"flowDeleteTag","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Tag","required":["tag_ns"],"properties":{"tag_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/delete-tag-by-name":{"delete":{"tags":["Flow Tag"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete tag by tag name","operationId":"flowDeleteTagByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"Tag","required":["name"],"properties":{"name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/user-fields":{"get":{"tags":["Flow User Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Get list of user fields by flow","operationId":"flowUserFields","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 100","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"name","in":"query","description":"Search for user field name","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/UserFieldResource"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/create-user-field":{"post":{"tags":["Flow User Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>create new user field","operationId":"flowCreateUserField","requestBody":{"required":true,"content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/UserField"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"title":"Response Body","properties":{"data":{"$ref":"#\/components\/schemas\/UserField"},"status":{"type":"string","example":"ok"}},"type":"object"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/update-user-field":{"post":{"tags":["Flow User Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Update user field name or display_type","operationId":"flowUpdateUserField","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"User Field","required":["var_ns"],"properties":{"var_ns":{"type":"string"},"name":{"type":"string"},"display_type":{"description":"default, pin, hidden","type":"string","example":""}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/delete-user-field":{"delete":{"tags":["Flow User Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete user field","operationId":"flowDeleteUserField","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"User Field","required":["var_ns"],"properties":{"var_ns":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/flow\/delete-user-field-by-name":{"delete":{"tags":["Flow User Field"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>Delete user field by name","operationId":"flowDeleteUserFieldByName","requestBody":{"required":true,"content":{"application\/json":{"schema":{"title":"User Field","required":["name"],"properties":{"name":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"Successful operation","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseOk"}}}},"400":{"description":"Response Error","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ResponseError"}}}}}}},"\/whatsapp-template\/list":{"post":{"tags":["Whatsapp Template"],"summary":"","description":"<code>Scope required: (Manage Flow)<\/code><br><br>List Whatsapp templates","operationId":"listWhatsappTemplates","parameters":[{"name":"limit","in":"query","description":"Number of items in the response","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"page","in":"query","description":"Page number, between 1 and 
[...]
